#import "WarpCocosContent.h"

@implementation WarpCocosContent

// 单例对象
+ (instancetype)shareInstance {
    static WarpCocosContent *instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [[WarpCocosContent alloc] init];
    });
    return instance;
}

// 设置渲染视图
- (void)setRenderView:(UIView *)renderView {
    _renderView = renderView;
}

// 获取当前游戏视图控制器
- (UIViewController *)getGameViewController {
    if (self.gameVCBlock) {
        return self.gameVCBlock();
    }
    return nil;
}

@end
